Skip to main content
GET
/
agents
/
{agentId}
/
add-intents
/
quote
Add-to-position intent quote
curl --request GET \
  --url https://alphagrid-api.artiffine-delivery.workers.dev/agents/{agentId}/add-intents/quote
{
  "agentId": "<string>",
  "positionId": "<string>",
  "signer": "<string>",
  "nonce": "<string>",
  "eip712": {
    "domainName": "<string>",
    "domainVersion": "<string>",
    "chainId": 123,
    "verifyingContract": "<string>"
  },
  "tradeRouter": "<string>",
  "allocation": {
    "used": "<string>",
    "cap": "<string>",
    "available": "<string>"
  },
  "position": {
    "positionId": "<string>",
    "agentId": "<string>",
    "symbol": "<string>",
    "token": "<string>",
    "vault": "<string>",
    "tokenAmount": "<string>",
    "entryPriceUsdc": "<string>",
    "usdcCostBasis": "<string>",
    "maxSlippageBps": 123,
    "nextRuleIndex": 123,
    "openedAt": "<string>"
  }
}

Path Parameters

agentId
string
required
Pattern: ^[1-9]\d*$
Example:

"1"

Query Parameters

positionId
string
required
Pattern: ^\d+$
Example:

"1"

Response

Add intent quote

agentId
string
required
Pattern: ^[1-9]\d*$
positionId
string
required
signer
string
required
nonce
string
required
eip712
object
required
tradeRouter
string
required
allocation
object
required
position
object
required